<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/src/Transport/PostConnectSynchronizer.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_b7bc15c7de8e43583c698b7747a94971.html">src</a></li><li class="navelem"><a class="el" href="dir_7cc4805d13c57da402acac8e1a9ae866.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">PostConnectSynchronizer.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;set&gt;</code><br />
<code>#include &lt;utility&gt;</code><br />
<code>#include &lt;<a class="el" href="_event_builder_8h_source.html">AVSCommon/AVS/EventBuilder.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_h_t_t_p2_transport_8h_source.html">ACL/Transport/HTTP2Transport.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_post_connect_synchronizer_8h_source.html">ACL/Transport/PostConnectSynchronizer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_transport_defines_8h_source.html">ACL/Transport/TransportDefines.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for PostConnectSynchronizer.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_post_connect_synchronizer_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_post_connect_synchronizer_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_post_connect_synchronizer_8cpp" id="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_post_connect_synchronizer_8cpp">
<area shape="rect" id="node4" href="_event_builder_8h.html" title="AVSCommon/AVS/EventBuilder.h" alt="" coords="407,112,627,137"/>
<area shape="rect" id="node6" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="752,192,928,231"/>
<area shape="rect" id="node22" href="_h_t_t_p2_transport_8h.html" title="ACL/Transport/HTTP2Transport.h" alt="" coords="2332,112,2553,137"/>
<area shape="rect" id="node45" href="_post_connect_synchronizer_8h.html" title="ACL/Transport/PostConnect\lSynchronizer.h" alt="" coords="3257,105,3444,144"/>
<area shape="rect" id="node49" href="_transport_defines_8h.html" title="ACL/Transport/TransportDefines.h" alt="" coords="108,112,332,137"/>
<area shape="rect" id="node12" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="392,365,605,404"/>
<area shape="rect" id="node17" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1024,365,1200,404"/>
<area shape="rect" id="node18" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="752,279,928,317"/>
<area shape="rect" id="node20" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1003,279,1200,317"/>
<area shape="rect" id="node21" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2102,279,2278,317"/>
<area shape="rect" id="node19" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="773,365,949,404"/>
<area shape="rect" id="node27" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="1534,279,1735,317"/>
<area shape="rect" id="node30" href="_h_t_t_p2_connection_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ConnectionInterface.h" alt="" coords="1780,279,1977,317"/>
<area shape="rect" id="node34" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="2666,365,2857,404"/>
<area shape="rect" id="node36" href="_message_consumer_interface_8h.html" title="ACL/Transport/MessageConsumer\lInterface.h" alt="" coords="2454,279,2681,317"/>
<area shape="rect" id="node37" href="_ping_handler_8h.html" title="ACL/Transport/PingHandler.h" alt="" coords="2705,285,2900,311"/>
<area shape="rect" id="node38" href="_post_connect_factory_interface_8h.html" title="ACL/Transport/PostConnect\lFactoryInterface.h" alt="" coords="3927,192,4115,231"/>
<area shape="rect" id="node40" href="_post_connect_observer_interface_8h.html" title="ACL/Transport/PostConnect\lObserverInterface.h" alt="" coords="3390,365,3578,404"/>
<area shape="rect" id="node41" href="_post_connect_send_message_interface_8h.html" title="ACL/Transport/PostConnect\lSendMessageInterface.h" alt="" coords="3702,365,3890,404"/>
<area shape="rect" id="node42" href="_transport_interface_8h.html" title="ACL/Transport/TransportInterface.h" alt="" coords="3295,285,3526,311"/>
<area shape="rect" id="node44" href="_transport_observer_interface_8h.html" title="ACL/Transport/TransportObserver\lInterface.h" alt="" coords="3314,192,3536,231"/>
<area shape="rect" id="node29" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="1325,365,1533,404"/>
<area shape="rect" id="node31" href="_h_t_t_p2_request_config_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestConfig.h" alt="" coords="2001,365,2177,404"/>
<area shape="rect" id="node32" href="_h_t_t_p2_request_type_8h.html" title="HTTP2RequestType.h" alt="" coords="1950,459,2103,484"/>
<area shape="rect" id="node33" href="_h_t_t_p2_request_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestInterface.h" alt="" coords="1697,365,1876,404"/>
<area shape="rect" id="node35" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="2666,452,2857,491"/>
<area shape="rect" id="node39" href="_post_connect_interface_8h.html" title="ACL/Transport/PostConnect\lInterface.h" alt="" coords="3702,279,3890,317"/>
<area shape="rect" id="node43" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2454,365,2642,404"/>
<area shape="rect" id="node46" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="3611,192,3802,231"/>
<area shape="rect" id="node47" href="_context_requester_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextRequesterInterface.h" alt="" coords="3025,279,3220,317"/>
<area shape="rect" id="node48" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="2943,192,3190,231"/>
<area shape="rect" id="node50" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="5,372,216,397"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_post_connect_synchronizer_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a99e63d5749c036d8b2f9b0209ecef131"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a99e63d5749c036d8b2f9b0209ecef131">alexaClientSDK::acl::TAG</a> (&quot;PostConnectSynchronizer&quot;)</td></tr>
<tr class="memdesc:a99e63d5749c036d8b2f9b0209ecef131"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a99e63d5749c036d8b2f9b0209ecef131">More...</a><br /></td></tr>
<tr class="separator:a99e63d5749c036d8b2f9b0209ecef131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dcf2a547a254e24d4f60cd8aee27c01"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a9dcf2a547a254e24d4f60cd8aee27c01">alexaClientSDK::acl::operator&lt;&lt;</a> (std::ostream &amp;stream, const PostConnectSynchronizer::State state)</td></tr>
<tr class="separator:a9dcf2a547a254e24d4f60cd8aee27c01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8ff2d65a69a775addc4bcd3358687460"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a8ff2d65a69a775addc4bcd3358687460">alexaClientSDK::acl::STATE_SYNCHRONIZER_NAMESPACE</a> = &quot;System&quot;</td></tr>
<tr class="memdesc:a8ff2d65a69a775addc4bcd3358687460"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS namespace of the event we send.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a8ff2d65a69a775addc4bcd3358687460">More...</a><br /></td></tr>
<tr class="separator:a8ff2d65a69a775addc4bcd3358687460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66a552ca64c4f97341a3487a234f9dcf"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a66a552ca64c4f97341a3487a234f9dcf">alexaClientSDK::acl::STATE_SYNCHRONIZER_NAME</a> = &quot;SynchronizeState&quot;</td></tr>
<tr class="memdesc:a66a552ca64c4f97341a3487a234f9dcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event we send.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a66a552ca64c4f97341a3487a234f9dcf">More...</a><br /></td></tr>
<tr class="separator:a66a552ca64c4f97341a3487a234f9dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">event</td><td>The event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
